[Bug 71992] Re: dictionary-el 1.8.7-4 throws error during post-install with emacs-snapshot

Reinhard Tartler siretart at tauware.de
Fri Jul 20 12:55:15 BST 2007


debian has the fix already applied, so its best to just sync the
package.

** Description changed:

+ Archive admins: Please sync dictionary-el_1.8.7-7 from debian/unstable.
+ 
+ Changes since last sync: 
+  dictionary-el (1.8.7-7) unstable; urgency=low
+  .
+    * Fix typo in previous changelog entry.
+ 
+  dictionary-el (1.8.7-6) unstable; urgency=low
+  .
+    * debian/emacsen-install: per Michael W. Olsen, make absolute rather
+      than relative symlinks to .el files to accommodate non-standard
+      filesystem setups in which /usr/share/$FLAVOR is a symlink.
+      (Closes: #431649.)
+    * debian/copyright: correctly mark license as GPL 2 *or later*, but
+      specifically refer users to /usr/share/common-licenses/GPL-2 anyway.
+ 
+  dictionary-el (1.8.7-5) unstable; urgency=low
+  .
+    * dictionary.el: per Kevin Ryde, mark the connection as safe to kill
+      without bugging the user.  (Closes: #417533.)
+    * debian/control: tweak dependencies slightly in preparation for
+      emacs22.
+ 
  The dictionary-el 1.8.7-4 package does not seem to be installing
  correctly on my system, at least with emacs-snapshot.
  
  The following errors are given.  I also notice that it creates a bogus
  "*.el" symlink in /usr/share/emacs-snapshot/site-lisp/dictionary-el/
  that points to "../../../emacs/site-lisp/dictionary-el/*.el".
  
  Setting up dictionary-el (1.8.7-4) ...
  install/dictionary-el: Handling install for emacsen flavor emacs-snapshot
  >>Error occurred processing *.el: File error (("Opening input file" "no such file or directory" "/usr/share/emacs-snapshot/site-lisp/dictionary-el/*.el"))
  Wrote /usr/share/emacs-snapshot/site-lisp/dictionary-el/path.elc
  emacs-package-install: /usr/lib/emacsen-common/packages/install/dictionary-el emacs-snapshot emacs-snapshot emacs21 failed at /usr/lib/emacsen-common/emacs-package-install line 30, <TSORT> line 1.
  dpkg: error processing dictionary-el (--configure):
   subprocess post-installation script returned error exit status 1

-- 
dictionary-el 1.8.7-4 throws error during post-install with emacs-snapshot
https://bugs.launchpad.net/bugs/71992
You received this bug notification because you are a member of Ubuntu
Sponsors for universe, which is a direct subscriber.



More information about the Ubuntu-universe-sponsors mailing list